=== debian/changelog ===
dumb-init (1.2.0) unstable; urgency=medium

  * Hand the controlling TTY to the child process, if we have one (#122).

    This fixes warnings that are printed when running a typical command like:
        docker run -ti <image> dumb-init bash
    ...as well as allowing you to use job control.

    Thanks to @ehlers for the patch, and @alhafoudh (and several others) for
    reporting the issue and providing details!

 -- Chris Kuehl <ckuehl@yelp.com>  Mon, 10 Oct 2016 14:09:57 -0700

dumb-init (1.1.3) unstable; urgency=low

  * Add support for FreeBSD kernel. Thanks @onlyjob for bringing this to our
    attention.

 -- Chris Kuehl <ckuehl@yelp.com>  Tue, 02 Aug 2016 10:57:11 -0700

dumb-init (1.1.2) unstable; urgency=low

  * Fix race when the child exits very quickly that leads to dumb-init not
    reaping the child. This should be pretty rare and most likely to happen
    when dumb-init's child fails to exec (such as when you try to run a file
    that doesn't exist).

 -- Chris Kuehl <ckuehl@yelp.com>  Mon, 25 Jul 2016 22:46:40 -0700

dumb-init (1.1.1) unstable; urgency=medium

  * Fix segfault when passing unknown arguments (thanks @asottile for
    noticing!) (#88).

 -- Chris Kuehl <ckuehl@yelp.com>  Fri, 17 Jun 2016 12:11:22 -0700

dumb-init (1.1.0) unstable; urgency=medium

  * Add ability to rewrite incoming signals before proxying via the --rewrite
    flag. Thanks @mcclurmc for the PR (#83)!
  * Add ability to not rewrite incoming "suspend" job control signals in
    setsid mode (#85).
  * Add ability to ignore (not proxy) incoming signals (#86).

 -- Chris Kuehl <ckuehl@yelp.com>  Tue, 14 Jun 2016 11:45:50 -0700

dumb-init (1.0.3) unstable; urgency=medium

  * Fix incorrect error message when calling with bad arguments (e.g. a
    command which did not exist) and passing flags (#82).
  * Tag Python packages of dumb-init properly (#75).

 -- Chris Kuehl <ckuehl@yelp.com>  Wed, 01 Jun 2016 20:25:24 -0400

dumb-init (1.0.2) unstable; urgency=low

  * Rewrite signal handling to process signals synchronously (#72).
    This shouldn't change behavior, but does eliminate some undefined behavior
    and potential edge cases (especially race conditions).
    Thanks @msavage20 for the bug report (again)!

 -- Chris Kuehl <ckuehl@yelp.com>  Mon, 02 May 2016 10:59:14 -0700

dumb-init (1.0.1) unstable; urgency=low

  * Fix exit status for processes which exit due to signal (#59).
    Thanks @msavage20 for the bug report!

 -- Chris Kuehl <ckuehl@yelp.com>  Fri, 11 Mar 2016 14:05:58 -0800

dumb-init (1.0.0) unstable; urgency=low

  * Compile dumb-init with musl and strip the binary of unnecessary symbols
    (thanks Konrad Scherer)
  * Fix some typos (thanks Anthony Sottile)
  * Add a manpage to the Debian package

 -- Chris Kuehl <ckuehl@yelp.com>  Thu, 07 Jan 2016 15:00:19 -0800

dumb-init (0.5.0) unstable; urgency=low

  * Add command-line option parsing (supplements existing environment
    variables).
  * Prefix debug output with '[dumb-init]'

 -- Chris Kuehl <ckuehl@yelp.com>  Fri, 02 Oct 2015 18:12:51 -0700

dumb-init (0.4.0) unstable; urgency=medium

  * Properly respond to job control signals (SIGTSTP, SIGTTIN, SIGTTOU).

    This makes it possible to suspend dumb-init (and its child process) by
    hitting ^Z in an interactive shell session.

 -- Chris Kuehl <ckuehl@ocf.berkeley.edu>  Tue, 29 Sep 2015 13:45:06 -0700

dumb-init (0.3.1) unstable; urgency=medium

  * Exit nonzero if exec() fails (such as trying to run a nonexistent process)

 -- Chris Kuehl <ckuehl@yelp.com>  Tue, 29 Sep 2015 11:18:12 -0700

dumb-init (0.3.0) unstable; urgency=low

  * Send TERM to all processes in the session when the primary child dies when
    running in setsid mode.

 -- Chris Kuehl <ckuehl@yelp.com>  Fri, 18 Sep 2015 11:08:05 -0700

dumb-init (0.2.0) unstable; urgency=low

  * Use setsid for process-group behavior. This fixes tty interaction.
  * Properly reap zombie processes.

 -- Kent Wills <rkwills@yelp.com>  Thu, 10 Sep 2015 13:33:25 -0700

dumb-init (0.1.0) unstable; urgency=low

  * Add process group support

 -- Chris Kuehl <ckuehl@yelp.com>  Thu, 03 Sep 2015 17:55:44 -0700

dumb-init (0.0.2) unstable; urgency=low

  * Exit with the same exit status as the process we call.
  * Print a more useful help message when called with no arguments.

 -- Chris Kuehl <ckuehl@yelp.com>  Thu, 06 Aug 2015 13:51:38 -0700

dumb-init (0.0.1) unstable; urgency=low

  * Initial release.

 -- Chris Kuehl <ckuehl@yelp.com>  Thu, 06 Aug 2015 13:51:38 -0700
